Page MenuHomePhabricator

Testwiki user rights cleanup request
Closed, ResolvedPublic

Description

I've got this:

  • Member of: Administrators
  • Implicit member of: Autoconfirmed users, Patrollers

But "Patrollers" does not exist anymore. Maybe a SQL cleanup for all that is required as we've done with other wikis where a right was removed but users were not removed first from it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2017, 12:20 PM
MarcoAurelio triaged this task as Lowest priority.Jun 23 2017, 12:20 PM
demon added a subscriber: demon.Nov 23 2017, 1:57 AM

We should clean up testwiki and test2wiki both, let's look into this.

IS.php
'wmgAutopromoteExtraGroups' => [
        'default' => false,
        'testwiki' => [
                'patroller' => [ '&',
                                [ APCOND_EDITCOUNT, 10 ],
                                [ APCOND_AGE, 100 * 86400 ], // 100 days * seconds in a day
                ],
        ],
DB query
urbanecm@tools-sgebastion-07 ~
$ sql testwiki
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 285315150
Server version: 10.1.38-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [testwiki_p]> select count(*) from user_groups where ug_group="patroller";
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.00 sec)

MariaDB [testwiki_p]>

This tells me just removing the autopromote section should help.

Change 521819 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove autopromote to patroller on testwiki

https://gerrit.wikimedia.org/r/521819

Urbanecm claimed this task.Jul 10 2019, 6:49 AM

Let's move things forward.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 10 2019, 6:49 AM

Change 521819 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove autopromote to patroller on testwiki

https://gerrit.wikimedia.org/r/521819

Mentioned in SAL (#wikimedia-operations) [2019-07-10T11:11:37Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Remove autopromote to patroller on testwiki (T168718) (duration: 00m 58s)

Urbanecm closed this task as Resolved.Jul 10 2019, 11:49 AM

Done!